<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    
    <!-- BEGIN WEBAPP -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="<?php echo Configure::read('CFG.site_short_name'); ?>">
    <meta name="format-detection" content="telephone=no">
    
    <link rel="apple-touch-icon" href="http://192.168.1.5/touch/touch-icon.png" />
    <link rel="apple-touch-startup-image" media="(device-width: 320px) and (device-height: 568px) and (-webkit-device-pixel-ratio: 2)" href="http://192.168.1.5/touch/apple-touch-startup-image-640x1096.png">
    <!-- END WEBAPP -->
    
    <title><?php echo $title_for_layout; ?></title>
    
    <!-- BEGIN CORE FRAMEWORK CSS -->
    <link rel="stylesheet" type="text/css" href="/assets/plugins/ui/css/flat/jquery-ui-1.10.4.custom.css" />
    <link rel="stylesheet" type="text/css" href="/assets/plugins/bootstrap/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="/assets/plugins/jasny-bootstrap/css/jasny-bootstrap.css">
    <link rel="stylesheet" type="text/css" href="/assets/plugins/font-awesome/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="/assets/plugins/vertical-timeline/component.css">
    <link rel="stylesheet" type="text/css" href="/assets/plugins/fullcalendar/fullcalendar.css">
    <link rel="stylesheet" type="text/css" href="/assets/plugins/datepicker/css/datepicker3.css">
    <link rel="stylesheet" type="text/css" href="/assets/plugins/bootstrap-application-wizard/bootstrap-wizard.css">
    <!-- END CORE FRAMEWORK CSS -->
    
    <!-- BEGIN TEMPLATE CSS -->
    <link rel="stylesheet" type="text/css" href="/assets/css/animate.min.css" />
    <link rel="stylesheet" type="text/css" href="/assets/css/install.css">
    <!-- END TEMPLATE CSS -->
    
    <!-- BEGIN PAGE LEVEL CSS -->
    <!-- END PAGE LEVEL CSS -->
    
    <!-- BEGIN CORE FRAMEWORK JS -->
    <script type="text/javascript" src="/assets/plugins/jquery/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/ui/js/jquery-ui-1.10.4.custom.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/standalone/standalone.js"></script>
    <script type="text/javascript" src="/assets/plugins/touch-punch/jquery.ui.touch-punch.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/bootstrap/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/bootstrap/js/tab.js"></script>
    <script type="text/javascript" src="/assets/plugins/jasny-bootstrap/js/jasny-bootstrap.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/imagesloaded/imagesloaded.pkgd.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/masonry/masonry.pkgd.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script type="text/javascript" src="/assets/plugins/tinymce/tinymce.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/moment/moment-with-langs.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/fullcalendar/fullcalendar.min.js"></script>
    <?php /* <script type="text/javascript" src="/assets/plugins/fullcalendar/lang/nl.js"></script> */ ?>
    <script type="text/javascript" src="/assets/plugins/password/password.js"></script>
    <script type="text/javascript" src="/assets/plugins/datepicker/js/bootstrap-datepicker.js"></script>
    <?php /* <script type="text/javascript" src="/assets/plugins/datepicker/js/locales/bootstrap-datepicker.nl.js"></script> */ ?>
    <script type="text/javascript" src="/assets/plugins/jquery-validation/jquery.validate.min.js"></script>
    <?php /* <script type="text/javascript" src="/assets/plugins/jquery-validation/messages_nl.js"></script> */ ?>
    <script type="text/javascript" src="/assets/plugins/bootstrap-application-wizard/bootstrap-wizard.min.js"></script>
    <!-- END CORE FRAMEWORK JS -->
    
    
    
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
    
    <div id="wrapper">
        <div id="brand"><i class="fa fa-cubes"></i> FERAL <span class="light">&middot; Installation</span></div>
        
        <div id="page-wrapper">        
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <?php
                echo $this->Session->flash(); 
                echo $this->Session->flash('auth');
                ?>
                </div>
            </div>
            
            <?php echo $this->fetch('content'); ?>
            <!-- /.row -->
            
            <?php
            // Add debug info
            if (Configure::read('debug') > 0) {
            ?>      
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <hr style="border-color:#333333;" />
                    <h1>Debug</h1>
                    <?php echo $this->element('sql_dump'); ?>
                    <hr style="border-color:#333333;" />
                    total render time (sec): 
                    <?php echo microtime(true) - $_SERVER['REQUEST_TIME']; ?><br />
                    total memory allocated to script:
                    <?php echo $this->Number->toReadableSize(memory_get_usage(true)); ?>
        
                </div>
            </div>
            <?php 
            }
            ?>
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->
    
    <!-- BEGIN PAGE LEVEL JS -->
    <script type="text/javascript" src="/assets/js/install.js"></script>
    <!-- END PAGE LEVEL JS -->
</body>
</html>